d("homeView",['ccrz', 'util', 'homeModel'], function(CCRZ, util, homeModel) {
    return {
        extendHomeView: function() {
            let isRefreshed = false;
            CCRZ.pubSub.on('view:spotlightView:refresh', function(spotView){
                if(!isRefreshed){
                    isRefreshed = true;
                    spotView.model.attributes.Spotlight.forEach(function(prod){
                        prod.mockProduct.DCMFeaturedProductParameters = (prod.mockProduct.DCMFeaturedProductParameters?JSON.parse(prod.mockProduct.DCMFeaturedProductParameters):{});
                    });
                    spotView.events['change .choose-term input[type=radio]'] = 'handleRadioButtonChange';
                    spotView.handleRadioButtonChange = function(event){
                        let termType = event.target.value;
                        this.model.set('termType', termType);
                        this.render();
                    };
                    spotView.renderDesktop = function(){
                        let v = this;
                        this.setElement($(CCRZ.uiProperties.spotlightView.desktop.selector));
                        this.$el.html(v.templateDesktop(v.model.toJSON()));
                        runDefaultJsFunctions();
                        $('.deskLayout.cc_deskLayout').show();
                        $('.container-fluid.navbar-inverse.cc_navbar-inverse').show();
                        CCRZ.hideLoader();
                    };
                    spotView.renderPhone = function(){
                        let v = this;
                        this.setElement($(CCRZ.uiProperties.spotlightView.phone.selector));
                        this.$el.html(v.templatePhone(v.model.toJSON()));
                        runDefaultJsFunctions();
                        $('.deskLayout.cc_deskLayout').show();
                        $('.container-fluid.navbar-inverse.cc_navbar-inverse').show();
                        CCRZ.hideLoader();
                    };
                    spotView.gotoProductDetail = function (event) {
                        event.preventDefault();
                        var objLink = $(event.target);
                        var id = objLink.data("id");
                        productDetails(id);
                    };
                    spotView.delegateEvents();
                    CCRZ.CategoryTree.invokeCtx(
                        "getCategoryTreeJson",
                        function(result, event){
                            if(event.status){
                                CCRZ.data.categories = result.data;
                                spotView.model.set('categories', CCRZ.data.categories);
                            } else {
                                CCRZ.data.categories = '[]';
                            }
                            spotView.render();
                        },{escape:false});
                    spotView.delegateEvents();
                    spotView.model.set('termType', "Monthly");
                    spotView.render();
                }
            });
        }
    }
});